Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.configuration
Class ConvertersConfigurationHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ConvertersConfigurationHolder

    public class ConvertersConfigurationHolder

extends Object

Singleton which holds all default and named configurations for the Converter classes.

Since:
  1.1
Author:
  Siegfried Puchbauer

Field Summary
`static String` | `CONVERTERS_DEFAULT_ENCODING`

Method Summary
`static
`<C extends Converter> ConverterConfiguration<C>`
` | `getConverterConfiguration(Class<C> converterClass)`
`static
`<C extends Converter> ConverterConfiguration<C>`
` | `getNamedConverterConfiguration(String name, Class<C> converterClass)`
`static
`<C extends Converter> ConverterConfiguration<C>`
` | `getThreadLocalConverterConfiguration(Class<C> converterClass)`
`static
`<C extends Converter> void`
` | `setDefaultConfiguration(Class<C> c, ConverterConfiguration<C> cfg)`
`static
`<C extends Converter> void`
` | `setDefaultConfiguration(Class<C> c, List<ObjectMarshaller<C>> om)`
`static
`<C extends Converter> void`
` | `setNamedConverterConfiguration(Class<C> converterClass, String name, ConverterConfiguration<C> cfg)`
`static
`<C extends Converter> void`
` | `setNamedConverterConfiguration(Class<C> converterClass, String name, List<ObjectMarshaller<C>> om)`
`static
`<C extends Converter> void`
` | `setTheadLocalConverterConfiguration(Class<C> converterClass, ConverterConfiguration<C> cfg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTERS_DEFAULT_ENCODING

    public static final String CONVERTERS_DEFAULT_ENCODING

See Also:
  Constant Field Values

Method Detail

### setDefaultConfiguration

    public static <C extends Converter> void setDefaultConfiguration(Class<C> c,
                                                                     ConverterConfiguration<C> cfg)

### setDefaultConfiguration

    public static <C extends Converter> void setDefaultConfiguration(Class<C> c,
                                                                     List<ObjectMarshaller<C>> om)

### getConverterConfiguration

    public static <C extends Converter> ConverterConfiguration<C> getConverterConfiguration(Class<C> converterClass)
                                                                                 throws ConverterException

  Throws:
    `ConverterException`

### getNamedConverterConfiguration

    public static <C extends Converter> ConverterConfiguration<C> getNamedConverterConfiguration(String name,
                                                                                                 Class<C> converterClass)
                                                                                      throws ConverterException

  Throws:
    `ConverterException`

### getThreadLocalConverterConfiguration

    public static <C extends Converter> ConverterConfiguration<C> getThreadLocalConverterConfiguration(Class<C> converterClass)
                                                                                            throws ConverterException

  Throws:
    `ConverterException`

### setTheadLocalConverterConfiguration

    public static <C extends Converter> void setTheadLocalConverterConfiguration(Class<C> converterClass,
                                                                                 ConverterConfiguration<C> cfg)
                                                    throws ConverterException

  Throws:
    `ConverterException`

### setNamedConverterConfiguration

    public static <C extends Converter> void setNamedConverterConfiguration(Class<C> converterClass,
                                                                            String name,
                                                                            ConverterConfiguration<C> cfg)
                                               throws ConverterException

  Throws:
    `ConverterException`

### setNamedConverterConfiguration

    public static <C extends Converter> void setNamedConverterConfiguration(Class<C> converterClass,
                                                                            String name,
                                                                            List<ObjectMarshaller<C>> om)
                                               throws ConverterException

  Throws:
    `ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD